> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Link

> Get the details of a `Link`. Provide the `link_token` associated to said `Link` and Fintoc will return its details —including associated accounts and their balances.

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json GET /links/{link_token}
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /links/{link_token}:
    get:
      summary: Retrieve Link
      description: >-
        Get the details of a `Link`. Provide the `link_token` associated to said
        `Link` and Fintoc will return its details —including associated accounts
        and their balances.
      operationId: links-retrieve
      parameters:
        - name: link_token
          in: path
          required: true
          description: >-
            The access token of the `Link` to get, returned when creating said
            `Link`.
          schema:
            type: string
            default: link_Q0xVGPvijElLRMwE_token_FhsFVurz5q5FycHA5xxhTpzX
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
            default: sk_test_9c8d8CeyBTx1VcJzuDgpm4H
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "id": "link_nMNejK7BT8oGbvO4",
                        "object": "link",
                        "username": "183917137",
                        "link_token": null,
                        "holder_type": "individual",
                        "created_at": "2020-04-22T21:10:19.254Z",
                        "active": true,
                        "status": "active",
                        "institution": {
                            "country": "cl",
                            "id": "cl_banco_de_chile",
                            "name": "Banco de Chile"
                        },
                        "accounts": [
                            {
                                "id": "acc_Z6AwnGn4idL7DPj4",
                                "object": "account",
                                "name": "Cuenta Corriente",
                                "official_name": "Cuenta Corriente Moneda Local",
                                "number": "9530516286",
                                "holder_id": "134910798",
                                "holder_name": "Jon Snow",
                                "type": "checking_account",
                                "currency": "CLP",
                                "balance": {
                                  "available": 7010510,
                                  "current": 7010510,
                                  "limit": 7510510
                                }
                            },
                            {
                                "id": "acc_BO381oEATXonG6bj",
                                "object": "account",
                                "name": "Línea de Crédito",
                                "official_name": "Linea De Credito Personas",
                                "number": "19534121467",
                                "holder_id": "134910798",
                                "holder_name": "Jon Snow",
                                "type": "line_of_credit",
                                "currency": "CLP",
                                "balance": {
                                  "available": 500000,
                                  "current": 500000,
                                  "limit": 500000
                                }
                            }
                        ]
                    }
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: link_nMNejK7BT8oGbvO4
                  object:
                    type: string
                    example: link
                  username:
                    type: string
                    example: '183917137'
                  link_token: {}
                  holder_type:
                    type: string
                    example: individual
                  created_at:
                    type: string
                    example: '2020-04-22T21:10:19.254Z'
                  active:
                    type: boolean
                    example: true
                    default: true
                  status:
                    type: string
                    example: active
                  institution:
                    type: object
                    properties:
                      country:
                        type: string
                        example: cl
                      id:
                        type: string
                        example: cl_banco_de_chile
                      name:
                        type: string
                        example: Banco de Chile
                  accounts:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: acc_Z6AwnGn4idL7DPj4
                        object:
                          type: string
                          example: account
                        name:
                          type: string
                          example: Cuenta Corriente
                        official_name:
                          type: string
                          example: Cuenta Corriente Moneda Local
                        number:
                          type: string
                          example: '9530516286'
                        holder_id:
                          type: string
                          example: '134910798'
                        holder_name:
                          type: string
                          example: Jon Snow
                        type:
                          type: string
                          example: checking_account
                        currency:
                          type: string
                          example: CLP
                        balance:
                          type: object
                          properties:
                            available:
                              type: integer
                              example: 7010510
                              default: 0
                            current:
                              type: integer
                              example: 7010510
                              default: 0
                            limit:
                              type: integer
                              example: 7510510
                              default: 0
      deprecated: false

````